\documentclass[11pt,answers]{examjh}
\usepackage{usualjh}

\examhead{MA~406 homework one}{Due: 2019-Sep-19}

\begin{document}

\begin{questions}
\question
Decide if each operation on the given set is a group.
If so, verify it.
If not, give a condition that is not met.

\begin{parts}
\item $(a,b)*(c,d)=(ad+bc,bd)$ on the set $\set{(x,y)\in\R^2\suchthat y\neq 0}$
\begin{solution}
First, $*$ is an operation since the outcome is a pair of reals 
and the second component~$bd$ is nonzero, as the components $b$ and~$d$ are 
nonzero.

For associativity, we have
$[(a,b)*(c,d)]*(e,f)=(ad+bc,bd)*(e,f)=((ad+bc)\cdot f+bd\cdot e, bd\cdot f)
=(adf+bcf+bde,bdf)$, while
$(a,b)*[(c,d)*(e,f)]=(a,b)*(cf+de,df)=(a\cdot df+b\cdot(cf+de), b\cdot df)
=(adf+bcf+bde,bdf)$ and the two are equal.

As to the identity element, consider $e=(0,1)$.
Because it is a pair of reals with a nonzero second component, it is in
the given set.
With it, $(a,b)*(0,1)=(a\cdot 1+b\cdot 0, b\cdot 1)=(a,b)$
and $(0,1)*(a,b)=(0\cdot b+1\cdot a, 1\cdot b)=(a,b)$.

For the existence of an inverse fix an element $(a,b)$ of the set.
Consider $(-a/b,1/b)$ and note that since the second component of $(a,b)$ is
nonzero, this is defined and is in the given set.
\begin{equation*}
  (a,b)*(-a/b^2,1/b)=(a\cdot(1/b)+b\cdot (-a/b^2),b\cdot(1/b))
                    =(a/b-a/b,1)=(0,1)
\end{equation*}
So the element $(a,b)$ has an inverse with respect to the operation~$*$.
\end{solution}
\item $(a,b)*(c,d)=(ac, bc+d)$ on the set $\set{(x,y)\in\R^2\suchthat x\neq 0}$

\item $(a,b)*(c,d)=(ad+bc,bd)$ on the set $\R^2$
\begin{solution}
Note that the arguments given in part~(a) for the fact that $*$ is an operation
and for the associativity and existence of identity properties continue to hold,
regardless of the addition of pairs where the second component is~$0$.
In particular, the identity element is $(0,1)$.

But then
this is not a group since the element~$(0,0)$ does not have an inverse.
\begin{equation*}
  (0,0)*(a,b)=(0\cdot b+0\cdot a, 0\cdot b)=(0,0)
\end{equation*}
\end{solution}

\item $(a,b)*(c,d)=(ac-bd,ad+bc)$ on the set $\set{(x,y)\in\R^2\suchthat (x,y)\neq(0,0)}$

\item $(a,b)*(c,d)=(ac-bd,ad+bc)$ on the set $\R^2$
\end{parts}


\question
  Fix a set $S\subseteq\N$.
  The power set is $\powerset(S)$ is the collection of subsets of~$S$.
  The symmetric difference of two sets is 
  $A+B=(A-B)\cup(B-A)$.
  Show that the power set is a group under this operation.
\begin{solution}
This set and operation form a group.
The symmetric difference of two sets is a set, so this is an operation
on $\powerset(S)$.

Associativity is the hardest property to establish.
Observe that
% we have $X+Y=Y+X$ as well as 
\begin{align}
  (A+B)+C
  &=((A-B)\cup(B-A))+C            \\
  &=[((A-B)\cup(B-A))-C]
   \cup
   [C-((A-B)\cup(B-A))]
  % \tag{1} 
\end{align}
and
\begin{align}
  A+(B+C)
  &=A+((B-C)\cup(C-B))            \\
  &=[A-((B-C)\cup(C-B))]
   \cup [((B-C)\cup(C-B))-A]
  % \tag{2}
\end{align}
for all sets $A,B,C\in\powerset(S)$.

We will do eight cases.
The first is that $s\notin A$, $s\notin B$, and~$s\notin C$.
In this case, $s$ is in neither the set described in equation~($1$) or
equation~($2$).

The second case is that $s\in A$ but $s\notin B$ and~$s\notin C$. 
In the first clause
of equation~(2) we have $s\in A-B$, so $s\in (A-B)\cup(B-A)$, so
$s\in ((A-B\cup(B-A))-C$, and therefore  $s\in (A+B)+C$. 
Similarly, 
the first clause of~($4$) gives $s\in A+(B+C)$.

The third case is that $s\in A$ and $s\in B$ but~$s\notin C$.
In the first clause
of equation~(2), we have $s\notin A-B$ and $s\notin B-A$, 
so $s\notin ((A-B)\cup (B-A))$.
Since $s\notin C$, it clearly does not satisfy the second clause.
Thus $s$ is not an element of the set
$(A+B)+C$.
As to~($4$), $s\in B-C$, so $s\in ((B-C)\cup(C-B))$ and thus 
$s\notin A-((B-C)\cup(C-B))$.
Since $s\in A$, it clearly does not satisfy the second clause and so
$s\notin A+(B+C)$.

The other five cases for associativity are similar.

The identity element is $\emptyset$ since
$A+\emptyset=(A-\emptyset)\cup(\emptyset-A)=A\cup\emptyset=A$.
As to inverse, for any set~$A$ its inverse is itself because
$A+A=(A-A)\cup(A-A)=\emptyset\cup\emptyset=\emptyset$.
\end{solution}
\end{questions}
\end{document}
